Loading...
Searching...
No Matches
freecontact::contact_t Struct Reference

Contact prediction. More...

`#include <freecontact.h>`

## Public Member Functions

| contact_t (uint16_t __i=0, uint16_t __j=0, float __score=0)
bool | operator< (const contact_t &__b) const
bool | operator> (const contact_t &__b) const

## Public Attributes

uint16_t | i
| Residue number, 0-based(!).
uint16_t | j
float | score
| Contact score.

## Detailed Description

Contact prediction.

Definition at line 124 of file freecontact.h.

## Constructor & Destructor Documentation

## contact_t()

freecontact::contact_t::contact_t | ( | uint16_t | __i = 0,
|  | uint16_t | __j = 0,
|  | float | __score = 0 )

inline

Definition at line 129 of file freecontact.h.

## Member Function Documentation

## operator<()

bool freecontact::contact_t::operator< | ( | const contact_t & | __b | ) | const

inline

Definition at line 131 of file freecontact.h.

## operator>()

bool freecontact::contact_t::operator> | ( | const contact_t & | __b | ) | const

inline

Definition at line 132 of file freecontact.h.

## Member Data Documentation

## i

uint16_t freecontact::contact_t::i

Residue number, 0-based(!).

Definition at line 126 of file freecontact.h.

## j

uint16_t freecontact::contact_t::j

Definition at line 126 of file freecontact.h.

## score

float freecontact::contact_t::score

Contact score.

Definition at line 128 of file freecontact.h.

The documentation for this struct was generated from the following file:

- freecontact.h